Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class I2DMapFieldGeo

    java.lang.Object
      igeo.IFieldGeo
          igeo.I2DMapFieldGeo

All Implemented Interfaces:
  I2DFieldI, IFieldI

    public class I2DMapFieldGeo

extends IFieldGeo
implements I2DFieldI

2D vector filed defined by a IMap

Author:
  Satoru Sugihara

Nested Class Summary

Nested classes/interfaces inherited from class igeo.IFieldGeo
`IFieldGeo.Decay`

Field Summary
`IVec` | `corner`
`IDoubleMap` | `dmap`
`double` | `height`
`int` | `interpolationRange`
`IMap` | `map`
`int` | `mapHeight`
`int` | `mapWidth`
`double` | `width`

Fields inherited from class igeo.IFieldGeo
`bidirectional, constantIntensity, customDecay, decay, gaussDecay, intensity, linearDecay, noDecay, threshold`

Constructor Summary
`I2DMapFieldGeo(IMap m, IVec cnr, double wid, double hei)`

Method Summary
`void` | `del()`
`IVec2` | `dif(int uidx, int vidx)`
`IVec2I` | `get(IVecI v)` get 3D vector field value
`IVec2I` | `get(IVecI pos, double u, double v)` get original field value out of surface parameter uv
`IVec2I` | `get(IVecI pos, IVecI vel)` get 3D vector field value
`IVec2I` | `get(IVecI pos, IVecI vel, double u, double v)` get original field value out of surface parameter uv
`I2DMapFieldGeo` | `intensity(double i)` set output intensity
`(package private) IVec2` | `interpolateDif(int uidx, int vidx)`
`double` | `udif(int uidx, int vidx)`
`double` | `vdif(int uidx, int vidx)`

Methods inherited from class igeo.IFieldGeo
`bidirectional, constantIntensity, decay, decay, gauss, gaussian, gaussianDecay, intensity, linear, linearDecay, noDecay, threshold, threshold`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface igeo.IFieldI
`bidirectional, constantIntensity, decay, gauss, gaussian, gaussianDecay, intensity, linear, linearDecay, noDecay, threshold, threshold`

Field Detail

### map

    public IMap map

### dmap

    public IDoubleMap dmap

### corner

    public IVec corner

### width

    public double width

### height

    public double height

### mapWidth

    public int mapWidth

### mapHeight

    public int mapHeight

### interpolationRange

    public int interpolationRange

Constructor Detail

### I2DMapFieldGeo

    public I2DMapFieldGeo(IMap m,
                          IVec cnr,
                          double wid,
                          double hei)

Method Detail

### udif

    public double udif(int uidx,
                       int vidx)

### vdif

    public double vdif(int uidx,
                       int vidx)

### dif

    public IVec2 dif(int uidx,
                     int vidx)

### interpolateDif

    IVec2 interpolateDif(int uidx,
                         int vidx)

### get

    public IVec2I get(IVecI pos,
                      double u,
                      double v)

  get original field value out of surface parameter uv

### get

    public IVec2I get(IVecI pos,
                      IVecI vel,
                      double u,
                      double v)

  get original field value out of surface parameter uv

### get

    public IVec2I get(IVecI v)

  get 3D vector field value

  Specified by:
    `get` in interface `I2DFieldI`
  Specified by:
    `get` in interface `IFieldI`

### get

    public IVec2I get(IVecI pos,
                      IVecI vel)

  get 3D vector field value

  Specified by:
    `get` in interface `I2DFieldI`
  Specified by:
    `get` in interface `IFieldI`

### intensity

    public I2DMapFieldGeo intensity(double i)

  Description copied from class: `IFieldGeo`
  set output intensity

  Specified by:
    `intensity` in interface `IFieldI`
  Overrides:
    `intensity` in class `IFieldGeo`

### del

    public void del()

  Specified by:
    `del` in interface `IFieldI`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD